Subject: Support Glance API calls in the UI to retrieve list of images

Description

Extend the UI to perform Glance API calls to Plankton to retrieve list of images. Filter images based on distinct criteria into the following

categories:

System, Mine, Shared to me, Public.

Use Plankton-provided Image IDs in POST /servers calls to Synnefo.

Make this a configurable feature: At deployment-time, allow falling back to GET /images for retrieving available Image IDs.

Related issues:

related to Synnefo - Feature # 989: Glance API Implementation (Plankton Service) Closed 08/03/2011 11/11/2011

blocks Synnefo - Feature # 991: Extend Synnefo mechanism to support custom Im... Assigned 08/03/2011

Associated revisions

Revision 948042ca - 12/08/2011 03:55 pm - Kostas Papadimitriou 

Improved Image model object, refs #1748

Modifications in order to use the current Image object as a

base for the Glance api corresponding model.

Revision ea223582 - 12/08/2011 03:59 pm - Kostas Papadimitriou 

Glance Image model, Refs #1748

Revision 4cff0386 - 12/08/2011 04:00 pm - Kostas Papadimitriou 

VM wizard image selection view improvements, refs #1748

- multiple image collection backends

- dynamic image type selections

- loading images using the new Images collection api

- display image details in different view

- display image owner in list

- other minor style changes

Revision 258235f4 - 12/13/2011 12:32 pm - Kostas Papadimitriou 

Custom images improevements, Refs #1748

- Improved image model interface to keep support with Compute Images API
- Glance HEAD request parsing to retrieve image parameters

- Minor styling improvements on vm wizard images list

- Fixed bug on Model object api property (api.call method was shared

  between all objects)

- Other minor fixes/improvements

Revision 0228bc47 - 12/13/2011 04:20 pm - Kostas Papadimitriou 

Proper initialization of custom images view, refs #1748

Skip initialization if glance namespace is not defined

Revision 30b6f316 - 12/22/2011 12:57 pm - Kostas Papadimitriou 

Several ui improvements

- optionable glance api usage, Refs #1748

- display additional glance image metadata, Refs #1748

- dynamic api endpoint urls, Refs #1658

Revision 1faf0b9c - 01/05/2012 12:11 pm - Kostas Papadimitriou 

Improved owners of system images configuration, Refs #1748

- allow multiple system owners

- allow custom owner aliases (displayed in UI)

History

#1 - 02/02/2012 03:49 pm - Vangelis Koukis

- Status changed from Assigned to Closed

Implemented, and merged in master, closing ticket.
